Bug 223544 - net/rabbitmq-c-devel: Update to 0.8.0
Summary: net/rabbitmq-c-devel: Update to 0.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-08 23:02 UTC by loic.blot
Modified: 2017-11-13 06:27 UTC (History)
3 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
rabbitmq-c-devel patch (2.06 KB, patch)
2017-11-08 23:02 UTC, loic.blot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2017-11-08 23:02:38 UTC
Created attachment 187867 [details]
rabbitmq-c-devel patch

RabbitMQ-C-Devel is the C client implementation of RabbitMQ AMQP client.
0.7.1 is very very outdated, 2 years ago. 0.8.0 is the last tag and more recent.

See https://github.com/alanxz/rabbitmq-c/releases

You can find the patch below
Comment 1 Geoff Garside 2017-11-09 06:37:03 UTC
Looks fine to me, but I haven't tested it as I no longer have anything which uses rabbitmq/amqp anymore. I probably need to release the maintainership of this and net/rabbitmq-c.
Comment 2 Kurt Jaeger freebsd_committer 2017-11-09 07:06:49 UTC
testbuilds are fine
Comment 3 Kurt Jaeger freebsd_committer 2017-11-09 07:09:46 UTC
net/pecl-amqp
net/opensips
net-mgmt/pmacct

are using -devel

net-mgmt/collectd5

is using non-devel. If we'd test collect5d with -devel, we could consolidate...
Comment 4 Geoff Garside 2017-11-09 07:19:37 UTC
Yeah, net/rabbitmq-c is probably so equally out of date, so the -devel revisions could be copied to net/rabbitmq-c. Then consolidation could be done, allowing the dependents to switch over, or whichever way round is desired really.
Comment 5 loic.blot 2017-11-09 09:16:55 UTC
Kurt, i agree rabbitmq-c is useless, it reports 0.0.1 version which is just crazy. merge devel into it, please.

I'm using rabbitmq-c-devel (librabbitmq-c on Archlinux) on C++ projects with my own C++ library implementation it works fine.

Thanks for taking time to solve this issue :)
I know AMQP is not very used in C/C++ as microservices are the major consumers of those services and generally written in Go/Java/Python, but having this up-to-date is nice heh
Comment 6 commit-hook freebsd_committer 2017-11-09 15:05:05 UTC
A commit references this bug:

Author: rodrigo
Date: Thu Nov  9 15:04:15 UTC 2017
New revision: 453820
URL: https://svnweb.freebsd.org/changeset/ports/453820

Log:
  Update v0.8.0
  The 0.7.1 is very very outdated, 2 years ago. 0.8.0 was relesed in 2016

  Added:
  SSL: peer certificate and hostname validation improvements
  SSL: the desire SSL version range can now be specified
  SSL: SSLv2, and SSLv3 have been disabled by default

  Fixed issues:
  Rabbitmq-c may block when attempting to close an SSL socket
  amqp_parse_url does not correctly initialize default parameters
  x509 objects are leaked in verify_hostname
  TCP_NOPUSH doesn't work under cygwin

  Deprecated:
  SSL: amqp_ssl_socket_set_verify is being replaced by
       amqp_ssl_socket_set_verify_peer and amqp_ssl_socket_set_verify_hostname

  Removed:
  OpenVMS build system and related files.
  Unmaintained PolarSSL, CyaSSL, and gnuTLS SSL backends

  PR:		223544
  Submitted by:	loic.blot@unix-experience.fr
  Approved by:	freebsd@geoffgarside.co.uk (maintainer)

Changes:
  head/net/rabbitmq-c-devel/Makefile
  head/net/rabbitmq-c-devel/distinfo
  head/net/rabbitmq-c-devel/pkg-plist
Comment 7 Rodrigo Osorio freebsd_committer 2017-11-09 15:24:10 UTC
committed, thanks.

I create bug 223566 as a reminder to upgrade later net/rabbitmq-c.
Comment 8 loic.blot 2017-11-09 16:32:49 UTC
Thanks Rodrigo